### Hierarchy

- ValuedDefinition
  - InputValueDefinition

## Index

### Constructors

- constructor

### Properties

- annotations
- default
- description
- kind
- loc
- name
- type

### Methods

- accept
- getKind
- getLoc

## Constructors

### constructor

- new InputValueDefinition(loc: undefined | Location, name: Name, desc: undefined | StringValue, type: Type, defaultVal: undefined | Value, annotations: Annotation[]): InputValueDefinition

- Overrides ValuedDefinition.constructor

  - Defined in src/ast/type_definitions.ts:227

  #### Parameters

  - ##### loc: undefined | Location

  - ##### name: Name

  - ##### desc: undefined | StringValue

  - ##### type: Type

  - ##### defaultVal: undefined | Value

  - ##### annotations: Annotation[]

  #### Returns InputValueDefinition

## Properties

### annotations

annotations: Annotation[]

Inherited from ValuedDefinition.annotations

- Defined in src/ast/type_definitions.ts:182

### Optional default

default: Value

Inherited from ValuedDefinition.default

- Defined in src/ast/type_definitions.ts:181

### Optional description

description: StringValue

Inherited from ValuedDefinition.description

- Defined in src/ast/type_definitions.ts:179

### kind

kind: string

Inherited from ValuedDefinition.kind

- Defined in src/ast/node.ts:13

### Optional loc

loc: Location

Inherited from ValuedDefinition.loc

- Defined in src/ast/node.ts:14

### name

name: Name

Inherited from ValuedDefinition.name

- Defined in src/ast/type_definitions.ts:178

### type

type: Type

Inherited from ValuedDefinition.type

- Defined in src/ast/type_definitions.ts:180

## Methods

### accept

- accept(context: Context, visitor: Visitor): void

- Overrides ValuedDefinition.accept

  - Defined in src/ast/type_definitions.ts:247

  #### Parameters

  - ##### context: Context

  - ##### visitor: Visitor

  #### Returns void

### getKind

- getKind(): string

- Inherited from ValuedDefinition.getKind

  - Defined in src/ast/node.ts:21

  #### Returns string

### getLoc

- getLoc(): undefined | Location

- Inherited from ValuedDefinition.getLoc

  - Defined in src/ast/node.ts:25

  #### Returns undefined | Location

Generated using TypeDoc